The Web site makes heavy use of CSS 2.1 elements. I strongly recommend the use of a reasonably modern browser. I've tested that the Web browsers

are compliant with this Web site. But I'm sure that the browsers Opera, Mozilla, Mozilla Firefox and Epiphany are also compliant for versions lower than specified, because these browsers already started to implement essential parts of CSS 2.1 before Steve Ballmer could perform the Microsoft Dance.
Although the Internet Explorer v7.0 has still some annoying bugs regarding CSS 2.1 (spring 2007) I was keen that at least this Microsoft browser renders the Web pages without any problems.